﻿@model StarterProjectV2.Models.Log

@{
    ViewData["Title"] = "Log";
}
@section HEADERCSS{
    <style>
        td {
            word-break: break-all;
        }
    </style>
}
@section HEADERJS{
    <script type="text/javascript" src="https://cdn.jsdelivr.net/jquery/1/jquery.min.js"></script>
}

@section FOOTERJS{
    <script src="~/Content/vendors/js/toastr.min.js"></script>
    <script src="~/Content/vendors/js/coreui.min.js"></script>
}
@section PAGETITLE{
    Log View
}

    <body style="background-color: oldlace">
        <h2 class="text-center" style="color:indianred">@ViewData["Title"]</h2>

        <div class="card">
            <div class="card-header">
                <strong>View the Detailed Log Information</strong>
            </div>

            <div class="card-body">

                <div class="form-group row">
                    <label class="col-md-1 col-form-label" for="text-input">Action Date & Time</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(m => m.CreatedOn, new { @class = "form-control", @readonly = "readonly" })
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-1 col-form-label" for="text-input">User Name / Slot Id</label>
                    <div class="col-md-4">

                        @Html.TextBoxFor(m => m.UserId, new { @class = "form-control", @readonly = "readonly" })
                    </div>
                </div>
                <div class="form-group row">
                    <label class="col-md-1 col-form-label" for="text-input">Action String</label>
                    <div class="col-md-4">
                        @Html.TextBoxFor(m => m.ShortMessage, new { @class = "form-control", @readonly = "readonly" })

                    </div>
                </div>

                <div class="form-group row">
                    <label class="col-md-1 col-form-label" for="text-input">Table Name</label>
                    <div class="col-md-4">
                        @Html.TextAreaFor(m => m.FullMessage, new { @class = "form-control", @readonly = "readonly" })

                    </div>
                </div>
            </div>
            <div class="card-footer">
                <button type="button" class="btn btn-primary m-1" onclick="javascript:window.history.back();">
                    <i class="fa fa-angle-left"></i> Back
                </button>
            </div>

        </div>

        </body>
        <script>
            $(document).ready(function () {
                $("#newItem").remove();
                $("#editItem").remove();
                $("#saveItem").remove();
                $("#deleteItem").remove();
                $('#printItem').click(function () {
                    window.print();
                });
                $('#reloadItem').click(function () {
                    location.reload();
                });
                $("#dashboardItem").remove();
                $("#reportItem").remove();
            });
        </script>


